var path = "/speedtest";

var app = require('express')();
var http = require('http').Server(app);
var io = require('socket.io')(http, {path: path
//, cors: {
//    origin: [/zuim\.de$/, /craftandbuild\.de$/],
//    methods: ["GET", "POST"]
//  }
});
var fs = require('fs');

io.on('connection', function(socket)
{
    socket.on('pingUp', function(msg)
    {
        socket.emit('pongDown', msg);
    });

    socket.on('downReq', function(msg)
    {
        if(new RegExp('[0-9]+').test(msg))
        {
            fs.readFile(__dirname + '/data/' + msg, function (err, data)
            {
                socket.emit('downDataStart', '');
                socket.emit('downData', data);
            });
        }
    });

    socket.on('upTest', function(msg)
    {
        socket.emit('upOk', '');
    });

    socket.on('pingT', function(msg)
    {
        socket.emit('pongT', '');
    });
});

//http.listen(3000, function(){
//  console.log('listening on *:3000');
//});
var socket = '/var/run/nodejs'+path+"/socket";
if(fs.existsSync(socket))
    fs.unlinkSync(socket);
http.listen(socket, function()
{
    fs.chmodSync(socket, '666');
});
